Page MenuHomePhabricator

Story: WikimetricsUser monitors health of Wikimetrics in graphite
Closed, DeclinedPublic

Description


Version: unspecified
Severity: enhancement
Whiteboard: u=WikimetricsUser c=Wikimetrics p=9999

Details

Reference
bz72138

Related Objects

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:59 AM
bzimport set Reference to bz72138.
bzimport added a subscriber: Unknown Object (MLST).

use graphite to monitor health of the system.

For most services, WMF mostly uses Icinga to monitor them.

To me, it seems Icinga would also be a good fit for Wikimetrics too, as
wikimetrics has many parts that are “either working or not”, and does
up to my knowledge not so much depend on performance counters going up
and down.

How comes we want to use graphite?

The reason for graphite in the title of the bug is because of the new monitoring that's been made available in labs. We assumed it was easy to add more monitoring using graphite, but we haven't looked into it.

So “graphite” is just a placeholder for $SOME_MONITORING_SERVICE?

Then just to have it written down ... in labs it seems we're getting (or
already having?) Shinken, which can consume Icingia config files IIRC.

So whoever ends up doing the Spike, might want to have look there too.

(YuviPanda would know more about Shinken.)

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 29 2015, 2:06 PM
mforns closed this task as Declined.Mar 26 2019, 2:00 PM

Declining because Wikimetrics is being discontinued. See: T211835.

Restricted Application added a project: Analytics. · View Herald TranscriptMar 26 2019, 2:00 PM